petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscBagSetName

Sets the name of a bag of values

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagSetName(PetscBag bag, const char *name, const char *help)

Not Collective

### Input Parameters

| bag | - the bag of values
| name | - the name assigned to the bag
| help | - help message for bag

### See Also

PetscBag, PetscBagGetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagDestroy(), PetscBagRegisterEnum()

### Level

Intermediate

### Location

src/sys/classes/bag/bag.c

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/dm/examples/tutorials/ex7.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages